//+------------------------------------------------------------------+
//|                                           VininITablePromili.mq4 |
//|                                Copyright  2009, Victor Nicolaev |
//|                                                    vinin.ucoz.ru |
//+------------------------------------------------------------------+
#property copyright "Copyright  2009, Victor Nicolaev"
#property link      "vinin.ucoz.ru"
#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 Red
#property indicator_color2 Yellow
#property indicator_color3 Blue



extern int     WPR.Period= 5;
extern int     EMA.1.Period= 5;
extern int     EMA.2.Period  =  3;



//                     1           /           /        /          *          *          *
//                              GBPEUR   AUDEUR     NZDEUR   EURCAD   EURCHF      EURJPY


double WPR[];
double EMA1[];
double EMA2[];


//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init() {

   SetIndexBuffer(0,WPR);
   SetIndexBuffer(1,EMA1);
   SetIndexBuffer(2,EMA2);
   for (int i=0;i<3;i++) SetIndexStyle(i,DRAW_LINE);

   IndicatorShortName("WPR"); 

   SetIndexLabel(0,"WPR");
   SetIndexLabel(1,"EMA1");
   SetIndexLabel(2,"EMA2");


   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start() {
   int    i, counted_bars=IndicatorCounted();
   if (counted_bars>0) counted_bars--;
   int limit=Bars-counted_bars;

   for (i=limit;i>0;i--) WPR[i]=iWPR(NULL,0,WPR.Period,i);
   for (i=limit;i>0;i--) EMA1[i]=iMAOnArray(WPR,0,EMA.1.Period,0,MODE_EMA,i);
   for (i=limit;i>0;i--) EMA2[i]=iMAOnArray(EMA1,0,EMA.2.Period,0,MODE_EMA,i);
   
   return(0);
}
//+------------------------------------------------------------------+
      